AddUsersForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.AddUsersForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.alerts.config
Class AddUsersForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.CalendarForm
                      org.hyperic.hq.ui.action.ScheduleForm
                          org.hyperic.hq.ui.action.resource.ResourceForm
                              org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.AddNotificationsForm
                                  org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.AddUsersForm

All Implemented Interfaces:
  java.io.Serializable

    public class AddUsersForm

extends AddNotificationsForm

An extension of `BaseValidatorForm` representing the Add Role Users form.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.ui.action.ScheduleForm
`END_NEVER, END_ON_DATE, EVERY_DAY, EVERY_WEEKDAY, ON_DAY, ON_EACH, RECUR_DAILY, RECUR_MONTHLY, RECUR_NEVER, RECUR_WEEKLY, START_NOW, START_ON_DATE`

Fields inherited from class org.hyperic.hq.ui.action.CalendarForm
`AM, PM`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`AddUsersForm()`

Method Summary
`java.lang.Integer` | `getAd()`
`java.lang.Integer[]` | `getAvailableUser()`
`java.lang.Integer[]` | `getAvailableUsers()`
`java.lang.Integer[]` | `getPendingUser()`
`java.lang.Integer[]` | `getPendingUsers()`
`java.lang.Integer` | `getPsa()`
`java.lang.Integer` | `getPsp()`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setAd(java.lang.Integer ad)`
`void` | `setAvailableUser(java.lang.Integer[] availableUsers)`
`void` | `setAvailableUsers(java.lang.Integer[] availableUsers)`
`void` | `setPendingUser(java.lang.Integer[] pendingUsers)`
`void` | `setPendingUsers(java.lang.Integer[] pendingUsers)`
`void` | `setPsa(java.lang.Integer ps)`
`void` | `setPsp(java.lang.Integer ps)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.AddNotificationsForm
`getAetid, setAetid`

Methods inherited from class org.hyperic.hq.ui.action.resource.ResourceForm
`getDescription, getEid, getLocation, getName, getResourceType, getResourceTypes, getRid, getType, isCanModify, loadResourceValue, setCanModify, setDescription, setEid, setLocation, setName, setResourceType, setResourceTypes, setRid, setType, updateResourceValue, validate`

Methods inherited from class org.hyperic.hq.ui.action.ScheduleForm
`createSchedule, getControlActions, getEachDay, getEndTime, getIsNow, getMonthlyRecurrenceDay, getNumControlActions, getNumDays, getNumMonths, getNumWeeks, getRecurInterval, getRecurrenceDay, getRecurrenceFrequencyDaily, getRecurrenceFrequencyMonthly, getRecurrenceWeek, getStartTime, populateFromSchedule, setControlActions, setEachDay, setEndTime, setMonthlyRecurrenceDay, setNumControlActions, setNumDays, setNumMonths, setNumWeeks, setRecurInterval, setRecurrenceDay, setRecurrenceFrequencyDaily, setRecurrenceFrequencyMonthly, setRecurrenceWeek, setStartTime`

Methods inherited from class org.hyperic.hq.ui.action.CalendarForm
`calcHour, getEndAmPm, getEndDate, getEndDay, getEndHour, getEndMin, getEndMonth, getEndYear, getInitStartTime, getStartAmPm, getStartDate, getStartDay, getStartHour, getStartMin, getStartMonth, getStartYear, getWantEndDate, getYearOptions, populateEndDate, populateStartDate, setEndAmPm, setEndDay, setEndHour, setEndMin, setEndMonth, setEndYear, setStartAmPm, setStartDay, setStartHour, setStartMin, setStartMonth, setStartYear, setWantEndDate, shouldValidateDateRange, validateDateRange`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AddUsersForm

    public AddUsersForm()

Method Detail

### getAvailableUser

    public java.lang.Integer[] getAvailableUser()

### getAvailableUsers

    public java.lang.Integer[] getAvailableUsers()

### setAvailableUser

    public void setAvailableUser(java.lang.Integer[] availableUsers)

### setAvailableUsers

    public void setAvailableUsers(java.lang.Integer[] availableUsers)

### getPendingUser

    public java.lang.Integer[] getPendingUser()

### getPendingUsers

    public java.lang.Integer[] getPendingUsers()

### setPendingUser

    public void setPendingUser(java.lang.Integer[] pendingUsers)

### setPendingUsers

    public void setPendingUsers(java.lang.Integer[] pendingUsers)

### getPsa

    public java.lang.Integer getPsa()

### setPsa

    public void setPsa(java.lang.Integer ps)

### getPsp

    public java.lang.Integer getPsp()

### setPsp

    public void setPsp(java.lang.Integer ps)

### getAd

    public java.lang.Integer getAd()

  Overrides:
    `getAd` in class `AddNotificationsForm`

### setAd

    public void setAd(java.lang.Integer ad)

  Overrides:
    `setAd` in class `AddNotificationsForm`

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `ResourceForm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ResourceForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.